Storyden
Nodes

Node Update Children Property Schema

Updates the property schema of the children of this node. All children of a node use the same schema for properties resulting in a table-like structure and behaviour. See also: NodeUpdatePropertySchema

PATCH
/nodes/{node_slug}/children/property-schema

Updates the property schema of the children of this node. All children of a node use the same schema for properties resulting in a table-like structure and behaviour. See also: NodeUpdatePropertySchema

Authorization

cookiestoryden-session<token>

Path Parameters

node_slug*string

Unique node Slug.

Formatxid

Request Body

application/json
  1. body
[index: integer]?

Mutating property schemas permits updating existing fields as well as adding new fields. The discinction is determined by the presence of the id field. When an id field is provided, the operation is treated as an update operation where any of the other fields will be used to write new values. If an id field is omitted, the schema is considered a new field and is subject to a uniqueness constraint on the name field.

Response Body

Node children schema updated.

application/json
  1. response
properties*array<>
Example Request
curl -X PATCH 'https://example.com/api/nodes/string/children/property-schema' \  -H 'Content-Type: application/json' \  -d '[  {    "name": "string",    "type": "text",    "sort": "string"  }]'
Example Response
{  "properties": [    {      "fid": "string",      "name": "string",      "type": "text",      "sort": "string"    }  ]}